package org.rcisoft.app.appCmsApplication.controller;
/*固定导入*/

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import jakarta.servlet.http.HttpServletResponse;
import org.rcisoft.business.cmsApplication.entity.CmsApplication;
import org.rcisoft.business.cmsApplication.service.CmsApplicationService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * @author cy
 * @date 2024年3月25日 下午1:42:40
 */
@RestController
@RequestMapping("/app")
public class AppCmsApplicationController extends CyPaginationController<CmsApplication> {


    @Autowired
    private CmsApplicationService cmsApplicationServiceImpl;

    @PreAuthorize("@cyPerm.hasPerm('app:application:query')")
    @CyOpeLogAnno(title = "system-报名管理-查询报名", businessType = CyLogTypeEnum.QUERY)
    @Operation(summary = "分页查询报名集合", description = "分页查询报名集合")
    @GetMapping(value = "/cmsApplication/queryCmsApplicationByPagination")
    public CyGridModel listByPagination(CmsApplication cmsApplication) {
        // 调用分页查询的方法
        cmsApplicationServiceImpl.findAllByPagination(getPaginationUtility(), cmsApplication,"app");
        // 返回分页结果
        return getGridModelResponse();
    }
}
